diff build.sh @ 915:a541c5a96ff3

Don't actually replace cross-compiler with cross-static, when you build both use $PATH to select which one to use.
author Rob Landley <rob@landley.net>
date Thu, 03 Dec 2009 01:18:39 -0600
parents 626288dd5cf3
children 7dd3fb4dd333
line wrap: on
line diff
--- a/build.sh	Thu Dec 03 01:17:39 2009 -0600
+++ b/build.sh	Thu Dec 03 01:18:39 2009 -0600
@@ -66,13 +66,7 @@
   # the libraries).
 
   BUILD_STATIC=1 FROM_ARCH="$STATIC_CROSS_COMPILER_HOST" NATIVE_TOOLCHAIN=only \
-    ROOT_NODIRS=1 STAGE_NAME=cross-static ./root-filesystem.sh "$ARCH" &&
-
-  # Replace the dynamic cross compiler with the static one so the rest of
-  # the build uses the new one.
-
-  rm -rf "build/cross-compiler-$ARCH" &&
-  ln -s "cross-static-$ARCH" "build/cross-compiler-$ARCH" || exit 1
+    ROOT_NODIRS=1 STAGE_NAME=cross-static ./root-filesystem.sh "$ARCH" || exit 1
 fi
 
 # Optionally, we can build a static native compiler.  (The one in